import type { _MTRBasicInformationClusterReachableChangedEvent } from "./MTRBasicInformationClusterReachableChangedEvent.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _MTRBasicClusterReachableChangedEvent extends _MTRBasicInformationClusterReachableChangedEvent {
    static alloc(): _MTRBasicClusterReachableChangedEvent;
    static new(): _MTRBasicClusterReachableChangedEvent;
    init(): _MTRBasicClusterReachableChangedEvent;
    reachableNewValue(): _NSNumber;
    setReachableNewValue$(value: _NSNumber): void;
}
